org.apache.lucene.facet.codecs.facet42

## Class Facet42DocValuesConsumer

- java.lang.Object
- - org.apache.lucene.codecs.DocValuesConsumer
  - - org.apache.lucene.facet.codecs.facet42.Facet42DocValuesConsumer

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class Facet42DocValuesConsumer
    extends DocValuesConsumer

Writer for `Facet42DocValuesFormat`.

### Constructor Summary

Constructors
Constructor and Description
`Facet42DocValuesConsumer(SegmentWriteState state)`
`Facet42DocValuesConsumer(SegmentWriteState state, float acceptableOverheadRatio)`

### Method Summary

Methods
`void` `addBinaryField(FieldInfo field, Iterable<BytesRef> values)`
`void` `addNumericField(FieldInfo field, Iterable<Number> values)`
`void` `addSortedField(FieldInfo field, Iterable<BytesRef> values, Iterable<Number> docToOrd)`
`void` `addSortedSetField(FieldInfo field, Iterable<BytesRef> values, Iterable<Number> docToOrdCount, Iterable<Number> ords)`
`void` `close()`

### Methods inherited from class org.apache.lucene.codecs.DocValuesConsumer

`mergeBinaryField, mergeNumericField, mergeSortedField, mergeSortedSetField`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Facet42DocValuesConsumer

    public Facet42DocValuesConsumer(SegmentWriteState state)
                             throws IOException

Throws:
  `IOException`

#### Facet42DocValuesConsumer

    public Facet42DocValuesConsumer(SegmentWriteState state,
                            float acceptableOverheadRatio)
                             throws IOException

Throws:
  `IOException`

### Method Detail

#### addNumericField

    public void addNumericField(FieldInfo field,
                       Iterable<Number> values)
                         throws IOException

Specified by:
  `addNumericField` in class `DocValuesConsumer`
Throws:
  `IOException`

#### addBinaryField

    public void addBinaryField(FieldInfo field,
                      Iterable<BytesRef> values)
                        throws IOException

Specified by:
  `addBinaryField` in class `DocValuesConsumer`
Throws:
  `IOException`

#### addSortedField

    public void addSortedField(FieldInfo field,
                      Iterable<BytesRef> values,
                      Iterable<Number> docToOrd)
                        throws IOException

Specified by:
  `addSortedField` in class `DocValuesConsumer`
Throws:
  `IOException`

#### addSortedSetField

    public void addSortedSetField(FieldInfo field,
                         Iterable<BytesRef> values,
                         Iterable<Number> docToOrdCount,
                         Iterable<Number> ords)
                           throws IOException

Specified by:
  `addSortedSetField` in class `DocValuesConsumer`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Throws:
  `IOException`